import 'package:easy_localization/easy_localization.dart';
import 'package:flutter/material.dart';
import 'package:mohem_flutter_app/app_state/app_state.dart';
import 'package:mohem_flutter_app/classes/colors.dart';
import 'package:mohem_flutter_app/extensions/int_extensions.dart';
import 'package:mohem_flutter_app/extensions/string_extensions.dart';
import 'package:mohem_flutter_app/extensions/widget_extensions.dart';
import 'package:mohem_flutter_app/generated/locale_keys.g.dart';
import 'package:mohem_flutter_app/models/member_information_list_model.dart';
import 'package:mohem_flutter_app/widgets/app_bar_widget.dart';

class PersonalInfo extends StatelessWidget {
  PersonalInfo({Key? key}) : super(key: key);

  MemberInformationListModel memberInformationList = AppState().memberInformationList!;

  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBarWidget(
        context,
        title: LocaleKeys.profile_personalInformation.tr(),
      ),
      backgroundColor: MyColors.backgroundColor,
      body: SizedBox(
        width: MediaQuery.of(context).size.width,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          mainAxisSize: MainAxisSize.min,
          children: [
            LocaleKeys.category.tr().toText13(color: MyColors.lightGrayColor),
            (memberInformationList.eMPLOYMENTCATEGORYMEANING ?? "").toText16(),
            20.height,
            LocaleKeys.address.tr().toText13(color: MyColors.lightGrayColor),
            (memberInformationList.lOCATIONNAME ?? "").toText16(),
            20.height,
            LocaleKeys.phoneNumber.tr().toText13(color: MyColors.lightGrayColor),
            (memberInformationList.eMPLOYEEMOBILENUMBER ?? "").toText16(),
            20.height,
            LocaleKeys.businessGroup.tr().toText13(color: MyColors.lightGrayColor),
            (memberInformationList.bUSINESSGROUPNAME ?? "").toText16(),
            20.height,
            LocaleKeys.Payroll.tr().toText13(color: MyColors.lightGrayColor),
            (memberInformationList.pAYROLLNAME ?? "").toText16(),
          ],
        ).objectContainerView().paddingAll(21),
      ),
    );
  }
}
